Package org.snpeff.genBank

# Class FeaturesFile

java.lang.Object
org.snpeff.genBank.FeaturesFile

All Implemented Interfaces:
  `Iterable<Features>`, `Iterator<Features>`

Direct Known Subclasses:
  `EmblFile`, `GenBankFile`

public abstract class FeaturesFile extends Object implements Iterable<Features>, Iterator<Features>
A file containing one or more set of features (e.g. multiple chromosomes concatenated in a single file) Reference: http://www.insdc.org/documents/feature-table

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`FeaturesFile(String fileName)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`Iterator<Features>`
`iterator()`
`Features`
`next()`
`protected void`
`open(String fileName)`
Open a file
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### FeaturesFile

public FeaturesFile(String fileName)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Features>`

### iterator

public Iterator<Features> iterator()

Specified by:
  `iterator` in interface `Iterable<Features>`

### next

public Features next()

Specified by:
  `next` in interface `Iterator<Features>`

### open

protected void open(String fileName)
Open a file

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<Features>`